Subject: Re: CCL:F95 to f90 converter

From: Scott Brozell <srb<<at>>ccl.net>
Date: Fri, 30 Jul 2004 23:09:46 -0400 (EDT)

Hello,

F95 provides only very slight enhancements to F90.
In fact, I can't remember any big ones off the top of my head;
@book{metcalf96,
  author = "{Michael Metcalf and John Reid}",
  title = "{Fortran} 90/95 Explained",
  publisher = "Oxford University Press",
  address = "New York",
  year = 1996 }
does mention the differences.

However, all(?) current F90 compilers actually support the F95 standard.
For example, the ~free Intel compiler ifort.

I haven't looked for F90/95 -> F77 converters, but if the program is
small then hand conversion is straightforward: unroll modules via
local common blocks to represent module data, remove interface statements,
etc., convert array expressions to do loops, make minor syntax changes, eg,

integer, parameter :: fun = 101

      integer fun
      parameter (fun=101)

Scott Brozell,
High Performance Technologies, Inc.

On Fri, 30 Jul 2004, john wrote:

> Folks,
>
> I have a small  f95 code given to me, but only f77/f90 compilers for
> both Linux and Windows.  There is a free g95 compiler out there that
> _almost_ compiles the code I have...  For purposes of interfacing this
> code with my existing f77/f90 code at the moment I prefer to convert the
> code to f77/f90...
>
> I've seen f77->f90, and maybe f90->f95, but not the reverse...
>
> Any suggestions would be most appreciated..
>
> John McKelvey